package w83b.w83bOperacionesPaso.w83bCitaciones;


import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import w83b.w83bBeans.W83bCitacionBean;
import w83b.w83bBeans.W83bUsuarioXLNetsBean;
import w83b.w83bUtilidadesComunes.W83bUtilidadesN38API;
import w83b.w83bUtilidadesComunes.W83bClsConstantes;

import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83bDetalleCitacionOutOPAction extends Q70ActionPasoOP{

	
	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		//Guardamos la accion en el contexto
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

			W83bCitacionBean bean=(W83bCitacionBean)contexto.get("w83bNuevaCitacionBean");
			contexto.set("w83bCitacionDetalleBean",bean);    
			contexto.set("w83bprovincia", bean.getCentroTrabajo().getCodTerritorio());
			contexto.set("w83bmunicipio", bean.getCentroTrabajo().getCodMunicipio());
			contexto.set("w83bprovinciaOrig", bean.getCentroTrabajoPrevOrig().getCodTerritorio());
			contexto.set("w83bmunicipioOrig", bean.getCentroTrabajoPrevOrig().getCodMunicipio());
			contexto.set("w83bprovinciaImpug", bean.getProvinciaImpug());
			contexto.set("w83bmunicipioImpug", bean.getMunicipioImpug());
			W83bUsuarioXLNetsBean usuario= (W83bUsuarioXLNetsBean)contexto.get(W83bClsConstantes.CONSTANTE_CONTEXTO_USUARIO);
			contexto.set("w83bPerfilUsuario", W83bUtilidadesN38API.elegirAdministradorConsulta(usuario.getPerfilXLNets()));
			contexto.set("w83bCodTerritUsuario", W83bUtilidadesN38API.elegirProvinciaDelegacion(usuario.getPerfilXLNets()));
			contexto.set("w83bRegManual", usuario.getRegManual());
			contexto.set("w83bModelo", usuario.getModelo());
			contexto.set("w83bPlantillasMap", bean.getPlantillasRTF());
			
			return mapping.findForward("paginaDetalles");
		
		
	}
}
